//
//  SpriteMoople.swift
//  ArkitDoushiQi
//
//  Created by Enzo JOLYS on 27/05/2024.
//

import Foundation
import SpriteKit

class SpriteMoople : SKNode {
    
    let image:SKSpriteNode
    let ellipse:SKShapeNode = SKShapeNode(circleOfRadius: 40)
    
    init(nameImage:String,couleur:UIColor){
        ellipse.fillColor = couleur
        image = SKSpriteNode(imageNamed: nameImage)
        
        super.init()
        self.position = CGPoint(x: 0, y: 0)
        self.addChild(ellipse)
        self.addChild(image)
    }
    
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    
    
}
